{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}
    <form class="form-inline float-right">
        <div class="form-group">
            <label for="search">Search:</label>
            <input type="text" class="form-control ml-2" id="search" name="search" value="{{ search }}">
        </div>
        <div class="form-group ml-3">
            <label for="category">Category:</label>
            <select class="form-control ml-2" id="category" name="category">
                <option value="">All</option>
                {% for category in categories %}
                    <option value="{{ category }}" {% if category == category %}selected{% endif %}>{{ category }}</option>
                {% endfor %}
            </select>
        </div>
        <button type="submit" class="btn btn-outline-primary ml-3">Filter</button>
    </form>
    <div class="container">
        <h1 class="mt-3 mb-4">{{ category }}</h1>
        <div class="row">
            {% for product in products %}
                <div class="col-md-4">
                    <div class="card mb-4">
                        <img src="https://via.placeholder.com/200x150" alt="{{ product.name }}" class="card-img-top">
                        <div class="card-body">
                            <h5 class="card-title">{{ product.name }}</h5>
                            <p class="card-text">{{ product.description }}</p>
                            <div class="d-flex justify-content-between align-item-center">
                                <a href="{{ path('detail_product', {id: product.id}) }}" class="btn btn-dark">View details</a>
                                <span class="h5 mt-auto">{{ product.price }} €</span>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
    </div>
{% endblock %}
